Loading...
Searching...
No Matches
mbedtls_ssl_cache_entry Struct Reference

This structure is used for storing cache entries. More...

`#include <ssl_cache.h>`

Collaboration diagram for mbedtls_ssl_cache_entry:
[legend]

## Data Fields

mbedtls_time_t | private_timestamp
unsigned char | private_session_id [32]
size_t | private_session_id_len
unsigned char * | private_session
size_t | private_session_len
mbedtls_ssl_cache_entry * | private_next

## Detailed Description

This structure is used for storing cache entries.

Definition at line 50 of file ssl_cache.h.

## Field Documentation

## private_next

mbedtls_ssl_cache_entry* mbedtls_ssl_cache_entry::private_next

chain pointer

Definition at line 61 of file ssl_cache.h.

## private_session

unsigned char* mbedtls_ssl_cache_entry::private_session

serialized session

Definition at line 58 of file ssl_cache.h.

## private_session_id

unsigned char mbedtls_ssl_cache_entry::private_session_id[32]

session ID

Definition at line 55 of file ssl_cache.h.

## private_session_id_len

size_t mbedtls_ssl_cache_entry::private_session_id_len

Definition at line 56 of file ssl_cache.h.

## private_session_len

size_t mbedtls_ssl_cache_entry::private_session_len

Definition at line 59 of file ssl_cache.h.

## private_timestamp

mbedtls_time_t mbedtls_ssl_cache_entry::private_timestamp

entry timestamp

Definition at line 52 of file ssl_cache.h.

The documentation for this struct was generated from the following file:

- ssl_cache.h